Subject: Re: What's cooking in git.git (Jan 2022, #03; Thu, 13)

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Jan 2022 14:03:28 -0800

Elijah Newren <[email-masked]> writes:

> In contrast, if we leave the leak-checker failing and the failing job
> spreads to next and master, then we'll just end up training everyone
> to ignore it -- both for their own PRs and in general.  To me, that's
> what making the leak-checker serve no useful purpose would look like.

What you proposed is no better than that.

Marking a test as "OK to fail", because somebody added a new leak,
is a small step of removing the leak-checking job from the CI.
Among 226 such tests, you killed one of them and 225 more to go.

And after you are done, nobody's PR will be blocked because they do
not see a leak-checker breakage.